/*
 * This file is part of libnavigation
 *
 * Copyright (C) 2008 Nokia Corporation. All rights reserved.
 *
 * Contact: Quanyi Sun <Quanyi.Sun@nokia.com>
 *
 * This software, including documentation, is protected by copyright
 * controlled by Nokia Corporation. All rights are reserved. Copying,
 * including reproducing, storing, adapting or translating, any or all
 * of this material requires the prior written consent of Nokia
 * Corporation. This material also contains confidential information
 * which may not be disclosed to others without the prior written
 * consent of Nokia.
 */

#ifndef NAVIGATION_PROVIDER_ENUMS_H_
#define NAVIGATION_PROVIDER_ENUMS_H_


enum {
	/* offset 0 bits */
	NAVIGATION_ROUTE_SHIFT		= 0,
	/* 0--3: 2 bits */
	NAVIGATION_ROUTE_DEFAULT	= (0 << NAVIGATION_ROUTE_SHIFT),
	NAVIGATION_ROUTE_FASTEST	= (1 << NAVIGATION_ROUTE_SHIFT),
	NAVIGATION_ROUTE_SHORTEST	= (2 << NAVIGATION_ROUTE_SHIFT),
	NAVIGATION_ROUTE_ECONOMIC	= (3 << NAVIGATION_ROUTE_SHIFT),
	NAVIGATION_ROUTE_MASK		= (3 << NAVIGATION_ROUTE_SHIFT),

	/* offset 2 bits */
	NAVIGATION_MODE_SHIFT		= 2,
	/* 0--3: 2 bits */
	NAVIGATION_MODE_DEFAULT		= (0 << NAVIGATION_MODE_SHIFT),
	NAVIGATION_MODE_CAR		= (1 << NAVIGATION_MODE_SHIFT),
	NAVIGATION_MODE_PEDESTRIAN	= (2 << NAVIGATION_MODE_SHIFT),
	NAVIGATION_MODE_BICYCLE		= (3 << NAVIGATION_MODE_SHIFT),
	NAVIGATION_MODE_MASK		= (3 << NAVIGATION_MODE_SHIFT),

	/* offset 4 bits */
	NAVIGATION_ALLOW_SHIFT		= 4,
	/* 4 flags, 4 bits */
	NAVIGATION_ALLOW_HIGHWAYS	= (1 << NAVIGATION_ALLOW_SHIFT),
	NAVIGATION_ALLOW_TOLLROADS	= (2 << NAVIGATION_ALLOW_SHIFT),
	NAVIGATION_ALLOW_FERRIES	= (4 << NAVIGATION_ALLOW_SHIFT),
	NAVIGATION_ALLOW_TUNNELS	= (8 << NAVIGATION_ALLOW_SHIFT),

	/* offset 8 bits */
	NAVIGATION_PRESET_SHIFT		= 8,
	/* 1--7: 3 bits */
	NAVIGATION_PRESET_CAR_FAST	= (1 << NAVIGATION_PRESET_SHIFT),
	NAVIGATION_PRESET_CAR_SLOW	= (2 << NAVIGATION_PRESET_SHIFT),
	NAVIGATION_PRESET_BIKE		= (3 << NAVIGATION_PRESET_SHIFT),
	NAVIGATION_PRESET_VAN		= (4 << NAVIGATION_PRESET_SHIFT),
	NAVIGATION_PRESET_MOTORBIKE	= (5 << NAVIGATION_PRESET_SHIFT),
	NAVIGATION_PRESET_PEDESTRIAN	= (6 << NAVIGATION_PRESET_SHIFT),
	NAVIGATION_PRESET_SCOOTER	= (7 << NAVIGATION_PRESET_SHIFT),
	NAVIGATION_PRESET_MASK		= (7 << NAVIGATION_PRESET_SHIFT)
};

enum {

	/* offset 0 bits */
	NAVIGATION_MAP_COLOUR_SHIFT	= 0,
	/* 0--2, 2 bits */
	NAVIGATION_MAP_COLOUR_UNDEFINED	= (0 << NAVIGATION_MAP_COLOUR_SHIFT),
	NAVIGATION_MAP_COLOUR_DAY	= (1 << NAVIGATION_MAP_COLOUR_SHIFT),
	NAVIGATION_MAP_COLOUR_NIGHT	= (2 << NAVIGATION_MAP_COLOUR_SHIFT),
	NAVIGATION_MAP_COLOUR_MASK	= (3 << NAVIGATION_MAP_COLOUR_SHIFT),

	/* offset 2 bits */
	NAVIGATION_MAP_TYPE_SHIFT	= 2,
	/* 0--4, 3 bits */
	NAVIGATION_MAP_TYPE_UNDEFINED	= (0 << NAVIGATION_MAP_TYPE_SHIFT),
	NAVIGATION_MAP_TYPE_NORMAL	= (1 << NAVIGATION_MAP_TYPE_SHIFT),
	NAVIGATION_MAP_TYPE_SATELLITE	= (2 << NAVIGATION_MAP_TYPE_SHIFT),
	NAVIGATION_MAP_TYPE_HYBRID	= (3 << NAVIGATION_MAP_TYPE_SHIFT),
	NAVIGATION_MAP_TYPE_TERRAIN	= (4 << NAVIGATION_MAP_TYPE_SHIFT),
	NAVIGATION_MAP_TYPE_MASK	= (7 << NAVIGATION_MAP_TYPE_SHIFT)
};


#endif
